<?php

/**
 * @package     SnoS - Cookie Consent
 * @version     1.0.1
 * @author      SnoS <info@snos.nl>
 * @link        https://www.snos.nl
 * @copyright   Copyright (C) 2025 SnoS. All rights reserved.
 * @license     GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 */

defined('_JEXEC') or die;

// Laad de taalbestanden
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Helper\ModuleHelper;

$lang = Factory::getLanguage();
$lang->load('mod_cookie_consent', JPATH_SITE);

// Verkrijg de vertaalde tekst
$message = Text::_('MOD_COOKIE_CONSENT_MESSAGE');
$buttonAcceptText = Text::_('MOD_COOKIE_CONSENT_BUTTON_ACCEPT');
$buttonRejectText = Text::_('MOD_COOKIE_CONSENT_BUTTON_REJECT');
$title = Text::_('MOD_COOKIE_CONSENT_TITLE');

// Verkrijg de parameters
$policyUrl = $params->get('cookie_policy', ''); // Haalt de cookie policy URL op

// Laad de template
require ModuleHelper::getLayoutPath('mod_cookie_consent', 'default');
