# SnoS Cookie Consent Module #

# Description
The SnoS Cookie Consent module is a simple solution for obtaining cookie consent on your Joomla website. This module displays a user-friendly cookie banner informing users about the use of cookies and giving them the option to accept or reject cookies. It supports multiple languages and can be easily customized via the Joomla backend.

# Features
- Easy installation and configuration.
- Multilingual support for various languages (including English, Dutch, French, German, Spanish, Italian, Portuguese, Russian, Chinese, Arabic, Japanese, Korean).
- Customizable text: Adjust the banner text through the module settings.
- Cookie policy link: Add a link to your cookie policy (via a URL).
- Accept/Reject Buttons: Users can accept or reject cookies. If they reject, they are redirected to a provided URL.
- Consent storage: The consent is stored in the user's browser, and the banner is not shown on subsequent visits.

# Installation
1. Download the module and extract the ZIP file.
2. Log in to your Joomla administrator panel.
3. Go to Extensions > Manage > Install.
4. Click Browse and select the ZIP file of the module.
5. Click Upload & Install.
6. After installation, go to Extensions > Modules and search for the SnoS Cookie Consent module.
7. Publish the module and assign it to a position on your website (e.g., "footer" or "top").
8. Configure the settings in the module settings (such as the message, buttons, cookie policy URL, etc.).

# Settings
- Message: The text that appears in the cookie banner.
- Accept Button Text: The text on the accept button.
- Reject Button Text: The text on the reject button.
- Reject URL: The URL users are redirected to when they click the reject button.
- Cookie Policy URL: The URL of your cookie policy (optional).
- Language Settings: Set the text in the banner for different languages through Joomla language files.

# Language Files
The module supports multiple languages. Ensure that you have the correct language files in the language/<language>/mod_cookie_consent.ini directory for the translations you want to use. Currently, the module supports the following languages:

- English (en-GB)
- Dutch (nl-NL)
- French (fr-FR)
- German (de-DE)
- Spanish (es-ES)
- Italian (it-IT)
- Portuguese (pt-PT)
- Russian (ru-RU)
- Chinese (zh-CN)
- Arabic (ar-AE)
- Japanese (ja-JP)
- Korean (ko-KR)

# License
This module is free to use and open-source. Please see the included license for more details.

# Support
If you experience any issues or have questions, you can contact the developer via info@snos.nl or visit https://www.snos.nl.